//  prop_color.h
//
//	hwdeint colorspace selection
//
//	Copyright (c) 2005 N099
//
#ifndef _HWDEINTPROP_C_H_
#define _HWDEINTPROP_C_H_

interface IHWDeint;

class CHWDeintProp_Color : public CBasePropertyPage
{
private:
	IHWDeint *m_pHWDeint;
	int m_color;
	HRESULT EnableWindows(void);
public:
	static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT * phr);

	CHWDeintProp_Color(LPUNKNOWN pUnk);
	~CHWDeintProp_Color() {}

	HRESULT OnConnect(IUnknown *pUnk);
	HRESULT OnActivate(void);
	BOOL OnReceiveMessage(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	HRESULT OnApplyChanges(void);
	HRESULT OnDisconnect(void);

	void SetDirty(void);
};

#endif /* _HWDEINTPROP_C_H_ */
